## ros-humble-flir-camera-msgs 2.0.6

=== CMakeLists.txt ===
# -*- cmake -*-
#
# Copyright 2023 Bernd Pfrommer <bernd.pfrommer@gmail.com>
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)
project(flir_camera_msgs)

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(std_msgs REQUIRED)

rosidl_generate_interfaces(
  ${PROJECT_NAME}
  msg/ImageMetaData.msg
  msg/CameraControl.msg
  DEPENDENCIES builtin_interfaces std_msgs
  ADD_LINTER_TESTS)

if(BUILD_TESTING)
  find_package(ament_cmake REQUIRED)
  find_package(ament_cmake_copyright REQUIRED)
  find_package(ament_cmake_lint_cmake REQUIRED)
  find_package(ament_cmake_pep257 REQUIRED)
  find_package(ament_cmake_xmllint REQUIRED)

  ament_copyright()
  ament_xmllint()
  ament_lint_cmake()
endif()


ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-humble-flir-camera-msgs (2.0.6-1jammy) jammy; urgency=high



 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Sat, 12 Aug 2023 04:00:00 -0000

ros-humble-flir-camera-msgs (2.0.5-1jammy) jammy; urgency=high



 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Fri, 11 Aug 2023 04:00:00 -0000

ros-humble-flir-camera-msgs (2.0.4-1jammy) jammy; urgency=high



 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Thu, 10 Aug 2023 04:00:00 -0000

ros-humble-flir-camera-msgs (2.0.3-1jammy) jammy; urgency=high



 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Tue, 01 Aug 2023 04:00:00 -0000

ros-humble-flir-camera-msgs (2.0.2-1jammy) jammy; urgency=high



 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Fri, 28 Jul 2023 04:00:00 -0000

ros-humble-flir-camera-msgs (2.0.1-1jammy) jammy; urgency=high



 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Mon, 24 Jul 2023 04:00:00 -0000

ros-humble-flir-camera-msgs (2.0.0-1jammy) jammy; urgency=high

  * Merge pull request #113 <https://github.com/ros-drivers/flir_camera_driver/issues/113> from berndpfrommer/humble-devel-new
    new driver for ROS2
  * more elaborate README
  * added flir_camera_msgs package
  * Contributors: Bernd Pfrommer, Tony Baltovski

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Thu, 20 Jul 2023 04:00:00 -0000

=== debian/control ===
Source: ros-humble-flir-camera-msgs
Section: misc
Priority: optional
Maintainer: Bernd Pfrommer <bernd.pfrommer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-builtin-interfaces, ros-humble-rosidl-default-generators, ros-humble-std-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-flir-camera-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-builtin-interfaces, ros-humble-rosidl-default-runtime, ros-humble-std-msgs, ros-humble-ros-workspace
Description: messages related to flir camera driver

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-flir-camera-msgs//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-flir-camera-msgs 2.1.17

=== debian/changelog ===
ros-humble-flir-camera-msgs (2.1.17-1bookworm) bookworm; urgency=high



 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Fri, 17 May 2024 16:00:00 -0000

ros-humble-flir-camera-msgs (2.1.16-1bookworm) bookworm; urgency=high



 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Fri, 19 Apr 2024 16:00:00 -0000

ros-humble-flir-camera-msgs (2.1.15-1bookworm) bookworm; urgency=high



 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Wed, 27 Mar 2024 16:00:00 -0000

ros-humble-flir-camera-msgs (2.1.14-1bookworm) bookworm; urgency=high



 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Thu, 21 Mar 2024 16:00:00 -0000

ros-humble-flir-camera-msgs (2.1.13-1bookworm) bookworm; urgency=high



 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Tue, 12 Mar 2024 16:00:00 -0000

ros-humble-flir-camera-msgs (2.1.11-1bookworm) bookworm; urgency=high



 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Thu, 22 Feb 2024 16:00:00 -0000

ros-humble-flir-camera-msgs (2.0.8-1bookworm) bookworm; urgency=high



 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-flir-camera-msgs (2.0.7-1bookworm) bookworm; urgency=high



 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Mon, 02 Oct 2023 16:00:00 -0000

ros-humble-flir-camera-msgs (2.0.6-1bookworm) bookworm; urgency=high



 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Fri, 11 Aug 2023 16:00:00 -0000

ros-humble-flir-camera-msgs (2.0.5-1bookworm) bookworm; urgency=high



 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Thu, 10 Aug 2023 16:00:00 -0000

ros-humble-flir-camera-msgs (2.0.4-1bookworm) bookworm; urgency=high



 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Wed, 09 Aug 2023 16:00:00 -0000

ros-humble-flir-camera-msgs (2.0.3-1bookworm) bookworm; urgency=high



 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Mon, 31 Jul 2023 16:00:00 -0000

ros-humble-flir-camera-msgs (2.0.2-1bookworm) bookworm; urgency=high



 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Thu, 27 Jul 2023 16:00:00 -0000

ros-humble-flir-camera-msgs (2.0.1-1bookworm) bookworm; urgency=high



 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Sun, 23 Jul 2023 16:00:00 -0000

ros-humble-flir-camera-msgs (2.0.0-1bookworm) bookworm; urgency=high

  * Merge pull request #113 <https://github.com/ros-drivers/flir_camera_driver/issues/113> from berndpfrommer/humble-devel-new
    new driver for ROS2
  * more elaborate README
  * added flir_camera_msgs package
  * Contributors: Bernd Pfrommer, Tony Baltovski

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Wed, 19 Jul 2023 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-flir-camera-msgs//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-flir-camera-msgs//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-flir-camera-msgs//opt/ros/humble/opt/flir_camera_msgs/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
